### Function

# GLib log_writer_supports_color

since: 2.50

#### Declaration

    gboolean
    g_log_writer_supports_color (
      gint output_fd
    )

#### Description

Check whether the given `output_fd` file descriptor supports ANSI color escape sequences.

If so, they can safely be used when formatting log messages.

Available since: 2.50

#### Parameters

`output_fd`

  Type: `gint`

  Output file descriptor to check.

#### Return value

Type: `gboolean`

`TRUE` if ANSI color escapes are supported, `FALSE` otherwise.